hullFeatures {EBImage} | R Documentation

## Extraction of hull features from images of indexed objects

### Description

Hull features are a set of numeric descriptors of the hull of an object. These include coordinates, perimeter, size, acircularity etc.

### Usage

      ## S4 method for signature 'IndexedImage':
      hullFeatures(x, ...)

### Arguments

`x` | An object of `IndexedImage`.
`...` | Reserved.

### Details

The extracted features are (names carry an `h.` prefix to indicate hull features): `x,y` - coordinates of the geometric center, `s` - size (area), `p` - perimeter, `pdm` - mean distance to perimeter (from the center), `pdsd` - standard deviation of the distance to perimeter, `effr` - effective radius (is the radius of a circle with the same area), `acirc` - acircularity (fraction of pixels outside of the circle with `r=reff`), `sf` - shape factor (`per / ( 2 * sqrt(Pi * s))`), `edge` - number of pixels at the edge of the image, `theta` - hull's rotation angle (calculated without taking intensity values into account), `s2maj` - 2 times semi major (square root of the larger eigenvalue of the `moments` covariance matrix) - correlates with the distance from the center to the edge along the major axis, `s2min` - same but for the smaller eigenvalue (minor axis), `ecc` - eccentricity (`sqrt(eig1-eig2)/smaj`), `I1, I2` - first and second rotation invariant moments of the hull (as in `moments`).

### Value

For a single frame, a matrix of descriptors with objects in rows and features in columns. For image stacks, a list of such matrices.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2007

### See Also

`IndexedImage, watershed, getFeatures, edgeFeatures, moments`

### Examples

      ## see example(getFeatures)

[Package EBImage version 2.6.0 Index]